
/******************************************************************************
* MODULE     : conv_cross.cc
* DESCRIPTION: Build tuple during conversion
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>
namespace mmx {

void
evaluator_rep::kw_conv_cross_1 () {
  evaluate_args (KW_CONV_CROSS_2);
}

void
evaluator_rep::kw_conv_cross_2 () {
  // INPUT: (conv_cross_2, args, cont, ...)
  cur= cadr (rem);
  rem= cons (cons (MMX_TUPLE, as_list (car (rem))), cddr (rem));
  // OUTPUT: (cont, tuple, ...)
  trace= cdr (trace);
}
  
} // namespace mmx
