
/******************************************************************************
* MODULE     : conv_unand.cc
* DESCRIPTION: Choose type in overloaded type
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>
#include <single.hh>
namespace mmx {

void
evaluator_rep::kw_conv_unand_1 () {
  evaluate_arg (car(trace)[1], KW_CONV_UNAND_2);
}

void
evaluator_rep::kw_conv_unand_2 () {
  // INPUT: (conv_unand_2, tuple, cont, ...)
  cur= cadr (rem);
  rem= cons (car (rem) [as_int (car (trace) [2])], cddr (rem));
  // OUTPUT: (cont, member, ...)
  trace= cdr (trace);
}

} // namespace mmx
